package xtreemos::xtreemfs;


use common;
use xtreemos::xtreemos_check;


#	    	dir_service_host => "localhost",
#	    	dir_service_port => "32638",

sub fields {
    my ($conf, $default_conf) = @_;
    my $current_conf = { %$conf };
    put_in_hash($conf, $default_conf);
    my @l = (
	[ 'dir_service.host' => N("Directoy service Host"), check => \&check_non_empty ],
        [ 'dir_service.port' => N("Directoy service port"), check => \&check_number ],
    );

    map { 
	my ($field, $label, %opts) = @$_;
	$opts{val} = \$conf->{$field};
	$opts{label} = $label;
	\%opts;
    } @l;
}

1;
