package xtreemos::xtreemfs_dir;


use common;
use xtreemos::xtreemos_check;


sub fields {
    my ($conf) = @_;
    my @l = (
	[ 'database.dir' => N("Database directory"), check => \&check_non_empty ],
    );

    map { 
	my ($field, $label, %opts) = @$_;
	$opts{val} = \$conf->{$field};
	$opts{label} = $label;
	\%opts;
    } @l;
}

1;
