package xtreemos::xvoms;


use common;
use xtreemos::xtreemos_check;


#MRC.properties
#mrc.host= ???
#mrc.port= ??? (default: 32636)

sub fields {
    my ($conf) = @_;
    my @l = (
	[ 'mrc.host' => N("MRC host"), check => \&check_non_empty ],
	[ 'mrc.port' => N("MRC port"), check => \&check_number ],
    );

    map { 
	my ($field, $label, %opts) = @$_;
	$opts{val} = \$conf->{$field};
	$opts{label} = $label;
	\%opts;
    } @l;
}

1;
