package xtreemos::rss;


use common;
use xtreemos::xtreemos_check;


# Rss
# bootstrap_address = ???
# bootstrap_port = ???
#

sub fields {
    my ($conf) = @_;
    my @l = (
	[ bootstrap_address => N("Bootstrap address"), check => \&check_non_empty ],
        [ bootstrap_port => N("Bootstrap port"), check => \&check_number ],
    );

    map { 
	my ($field, $label, %opts) = @$_;
	$opts{val} = \$conf->{$field};
	$opts{label} = $label;
	\%opts;
    } @l;
}


1;
