package xtreemos::xosd;


use common;
use xtreemos::xtreemos_check;


# XOSdConfig
# rootaddress.host= ???
# networkInterface= ???
# externalAddress= ???

sub fields {
    my ($conf, $network_interfaces) = @_;
    my @l = (
	[ 'rootaddress.host' => N("Root address host"), check => \&check_non_empty ],
	[ 'rootaddress.externalAddress' => N("Root address externali address"), check => \&check_non_empty ],
        [ networkInterface => N("Network interface"), list => $network_interfaces ],
        [ externalAddress => N("External Address"), check => \&check_ip ],
    );

    map { 
	my ($field, $label, %opts) = @$_;
	$opts{val} = \$conf->{$field};
	$opts{label} = $label;
	\%opts;
    } @l;
}

1;
